kmod_binoma <- function(n,p,output){
if(output %in% c(1,3)){
 if(p>=0 & p<=1){
 if(n >= 1){
  library("ggplot2")
  n <- round(n)
  x <- 0:n
  y <- round(dbinom(x, n, p), 4)
  df <- data.frame(x, y)
  p <- round(p , 3)
  lbltitle <- bquote("binomiaal kansmodel X ~ B(" ~ .(n) ~ "," ~ .(p) ~ ")" )
 ggplot(df, aes(x , y)) +
     coord_cartesian (xlim= c(-0.5 , n +0.5), ylim= c(0,max(y) * 1.1), expand= FALSE ) +
     labs(title = lbltitle,  x = "x = aantal successen", y ="kans") +
     theme(plot.title = element_text(size = 15, hjust=0.5),
         axis.title.x = element_text(hjust = 0.5),
         axis.title.y = element_text(vjust = 0.5) ,
         aspect.ratio = 1 ) +
     geom_bar(stat = "identity", width = (n+1) / 380)  
   }else{
     cat("Het aantal herhalingen moet minstens \ngelijk zijn aan 1. Pas n aan.") }    
  }else{
    cat("Controleer of de succeskans p die \nje hebt ingevuld voldoet aan 0 ≤ p ≤ 1") }
}else{
  if(!output == 2) {cat("output moet 1 of 2 of 3 zijn \nPas aan.") } }   
}
kmod_binomb <- function(n,p,output){
if(output %in% c(2,3)){  
 if(p>=0 & p<=1){
 if(n >= 1){
  library("gt")  
  library("glue") 
  n <- round(n)
  x <- 0:n
  y <- round(dbinom(x, n, p), 4)
  df <- data.frame(x, y)
  p <- round(p , 3)
 gt(df) %>% 
       tab_header(title = html( glue("binomiaal kansmodel X ~ B( {n} , {p} )")  ),
              subtitle =  html( glue("{n} herhalingen  |  succeskans = {p}") ) )  %>%
       tab_options(column_labels.background.color = "grey90",
              heading.subtitle.font.size = 18 )      %>%
       cols_label(x = html("aantal successen<br>x"),
              y = html("kans<br>P( X = x )")   )  %>%
       tab_style(style = cell_text(align = "center"),
              locations = list( cells_column_labels(), cells_body() ) )  
 }else{
   if (output == 3) { cat("")
     } else {
       cat("Het aantal herhalingen moet minstens \ngelijk zijn aan 1. Pas n aan.") } }  
 }else{
   if (output == 3) { cat("")
   } else {
   cat("Controleer of de succeskans p die \nje hebt ingevuld voldoet aan 0 ≤ p ≤ 1") } }
}
}